task Annovar {

	File vcf_file
	File database
	String sample
	String docker
	String cluster_config
	String disk_size


	command <<<
		nt=$(nproc)
		/installations/annovar/table_annovar.pl ${vcf_file} ${database} -buildver hg38 -out ${sample} -remove -protocol refGene,ensGene,ljb26_all,dbnsfp35c,intervar_20180118,cosmic70,exac03,gnomad30_genome,1000g2015aug_all,clinvar_20190305,gnomad211_genome -operation g,g,f,f,f,f,f,f,f,f,f -nastring . -vcfinput -thread $nt
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File avinput = "${sample}.avinput"
		File multianno_txt = "${sample}.hg38_multianno.txt"
		File multianno_vcf = "${sample}.hg38_multianno.vcf"

	}
}